## org.codehaus.groovy.grails.web.pages.ext.jsp
Class GroovyPagesJspFactory

    java.lang.Object
      javax.servlet.jsp.JspFactory
          org.codehaus.groovy.grails.web.pages.ext.jsp.GroovyPagesJspFactory

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public abstract class GroovyPagesJspFactory

extends JspFactory
implements groovy.lang.GroovyObject

Constructor Summary
`GroovyPagesJspFactory()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`JspEngineInfo` `getEngineInfo()`
`groovy.lang.MetaClass` `getMetaClass()`
`PageContext` `getPageContext(Servlet servlet, ServletRequest servletRequest, ServletResponse servletResponse, String s, boolean b, int i, boolean b1)`
`Object` `getProperty(String property)`
`protected abstract String` `getSpecificationVersion()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `releasePageContext(PageContext pageContext)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class javax.servlet.jsp.JspFactory
`getDefaultFactory, setDefaultFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyPagesJspFactory

    public GroovyPagesJspFactory()

Method Detail

### getPageContext

    public PageContext getPageContext(Servlet servlet,
                                      ServletRequest servletRequest,
                                      ServletResponse servletResponse,
                                      String s,
                                      boolean b,
                                      int i,
                                      boolean b1)

  Specified by:
    `getPageContext` in class `JspFactory`

### releasePageContext

    public void releasePageContext(PageContext pageContext)

  Specified by:
    `releasePageContext` in class `JspFactory`

### getEngineInfo

    public JspEngineInfo getEngineInfo()

  Specified by:
    `getEngineInfo` in class `JspFactory`

### getSpecificationVersion

    protected abstract String getSpecificationVersion()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project